For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get journal charge

Retrieves a specific charge by its ID.

get

Returns a single charge record from the journal with all pricing and reconciliation details.

Path parameters
idstringRequired

The ID of the charge.

journalIdstringRequired
Query parameters
selectstringOptional

The select statement to filter the fields.

Responses
200

OK

application/json

Represents a charge in the billing system.

revisioninteger · int32Optional
idstringOptional

The unique identifier of the charge.

Example: CHG-1234-1234-1234-1234-1234
quantitynumber · doubleOptional

Indicates the quantity associated with the charge.

Example: 10.5
billingTypestring · enumOptional

Represents the type of billing process.

Possible values:
statementTypestring · enumOptional

Represents the type of a statement in the billing system.

Possible values:
get/public/v1/billing/journals/{journalId}/charges/{id}
GET /public/v1/billing/journals/{journalId}/charges/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "audit": {
    "reconciled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "reset": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "id": "CHG-1234-1234-1234-1234-1234",
  "externalIds": {
    "reference": "REF-67890",
    "invoice": "INV-12345",
    "vendor": "VND-54321"
  },
  "search": {
    "source": {
      "criteria": "externalIds.Vendor",
      "value": "EXT-12345",
      "type": "Subscription"
    },
    "order": {
      "criteria": "externalIds.Vendor",
      "value": "EXT-12345"
    },
    "item": {
      "criteria": "externalIds.Vendor",
      "value": "EXT-12345"
    }
  },
  "period": {
    "start": "2025-01-01T00:00:00+00:00",
    "end": "2025-01-31T23:59:59+00:00"
  },
  "quantity": 10.5,
  "price": {
    "currency": {
      "purchase": "USD",
      "sale": "EUR",
      "rate": 1
    },
    "markup": 15.5,
    "markupSource": "Line",
    "margin": 20,
    "unitPP": 100,
    "PPx1": 1000,
    "unitBSP": 120,
    "BSPx1": 1200,
    "unitSP": 120,
    "SPx1": 1200
  },
  "description": {
    "value1": "Monthly subscription charge",
    "value2": "Includes additional services"
  },
  "attributes": {
    "documentNumber": "DOC-12345",
    "orderType": "PurchaseOrder",
    "externalDocumentNo": "EXT-67890",
    "externalDocumentNo2": "EXT2-54321",
    "yourReference": "CUST-REF-001",
    "agreementVendorId": "170ec08e-f43c-4831-aeb2-0d6455e1acf5",
    "segment": "Segment-A"
  },
  "journal": {
    "revision": 1,
    "id": "BJO-1234-1234",
    "name": "29 Nov 2024 #1",
    "dueDate": "2025-05-15T23:59:59+00:00"
  },
  "ledger": {
    "revision": 1,
    "id": "BLE-1234-1234-1234-1234"
  },
  "customLedger": {
    "revision": 1,
    "id": "text",
    "name": "Quarterly Revenue Ledger"
  },
  "parent": {
    "revision": 1,
    "id": "CHG-1234-1234-1234-1234-1234",
    "externalIds": {
      "reference": "REF-67890",
      "invoice": "INV-12345",
      "vendor": "VND-54321"
    }
  },
  "billingType": "Automated",
  "upload": {
    "status": "Ready",
    "errors": [
      "Invalid charge amount",
      "Missing buyer information"
    ]
  },
  "licensee": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "agreement": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "New"
  },
  "subscription": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "line": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "terminated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "quantity": 1,
    "item": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "pending": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "published": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unpublished": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "description": "text",
      "externalIds": {
        "vendor": "text",
        "operations": "text"
      },
      "group": {
        "id": "text",
        "name": "text",
        "revision": 1
      },
      "unit": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text"
      },
      "terms": {
        "model": "one-time",
        "period": "1m",
        "commitment": "1m"
      },
      "quantityNotApplicable": true,
      "status": "text",
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      },
      "parameters": [
        {
          "id": "text",
          "externalId": "text",
          "type": "text",
          "multiple": true,
          "name": "text",
          "value": null,
          "displayValue": "text"
        }
      ]
    },
    "price": {
      "currency": "text",
      "markup": 1,
      "margin": 1,
      "defaultMarkupSource": {
        "type": "text",
        "ref": {
          "id": "text",
          "name": "text"
        }
      },
      "markupSource": {
        "type": "text",
        "ref": {
          "id": "text",
          "name": "text"
        }
      },
      "unitSP": 1,
      "unitPP": 1,
      "PPx1": 1,
      "SPx1": 1,
      "SPxY": 1,
      "SPxM": 1,
      "PPxY": 1,
      "PPxM": 1
    },
    "order": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "completed": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "failed": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "processing": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "querying": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "quoted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "type": "Purchase",
      "status": "New",
      "notes": "text",
      "comments": "text",
      "statusNotes": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "template": {
        "id": "text",
        "name": "text",
        "revision": 1
      },
      "listing": {
        "id": "text",
        "revision": 1,
        "name": "text"
      },
      "authorization": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "currency": "text"
      },
      "agreement": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "status": "New"
      },
      "assignee": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "externalIds": {
        "client": "text",
        "operations": "text",
        "vendor": "text"
      },
      "price": {
        "currency": "text",
        "markup": 1,
        "margin": 1,
        "defaultMarkupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "markupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "defaultMarkup": 1,
        "PPx1": 1,
        "SPx1": 1,
        "SPxY": 1,
        "SPxM": 1,
        "PPxY": 1,
        "PPxM": 1
      },
      "lines": [
        "[Circular Reference]"
      ],
      "subscriptions": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "status": "Draft",
          "autoRenew": true
        }
      ],
      "assets": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "status": "New"
        }
      ],
      "parameters": {
        "ordering": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ],
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "error": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      },
      "client": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "licensee": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "buyer": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "seller": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "vendor": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "billTo": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "pricingPolicy": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "client": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active",
          "externalIds": {
            "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
          },
          "externalId": "text",
          "externalName": "text",
          "address": {
            "addressLine1": "text",
            "addressLine2": "text",
            "postCode": "text",
            "city": "text",
            "state": "text",
            "country": "text"
          },
          "technicalSupportEmail": "text",
          "website": "text",
          "description": "text",
          "groups": [
            {
              "id": "text",
              "name": "text",
              "revision": 1,
              "description": "text",
              "logo": "text",
              "isDefault": true
            }
          ],
          "eligibility": {
            "client": true,
            "partner": true
          },
          "defaultLanguageCode": "text"
        },
        "eligibility": {
          "client": true,
          "partner": true
        },
        "products": [
          {
            "id": "text",
            "audit": {
              "created": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "updated": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "published": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "pending": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              },
              "unpublished": {
                "at": "2026-01-01T00:00:00.000Z",
                "by": {
                  "id": "text",
                  "name": "text",
                  "icon": "text",
                  "revision": 1
                }
              }
            },
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "icon": "text",
            "revision": 1,
            "shortDescription": "text",
            "longDescription": "text",
            "externalIds": {
              "operations": "text",
              "defaultErpItem": "text"
            },
            "website": "text",
            "status": "text",
            "vendor": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1,
              "type": "Client",
              "status": "Active"
            },
            "settings": {
              "productOrdering": true,
              "productRequests": {
                "enabled": true,
                "name": "text",
                "label": "text"
              },
              "itemSelection": true,
              "orderQueueChanges": true,
              "preValidation": {
                "purchaseOrderDraft": true,
                "purchaseOrderQuerying": true,
                "changeOrderDraft": true,
                "configurationOrderDraft": true,
                "terminationOrder": true
              },
              "splitBilling": {
                "enabled": true,
                "type": "text"
              },
              "sendCostToErp": true,
              "subscriptionCessation": {
                "enabled": true,
                "mode": "Termination"
              }
            },
            "statistics": {
              "itemCount": 1,
              "ordersPlacedCount": 1,
              "agreementCount": 1,
              "subscriptionCount": 1
            }
          }
        ]
      },
      "termsAndConditions": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "accepted": "2026-01-01T00:00:00.000Z",
          "acceptedBy": {
            "id": "text",
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "icon": "text",
            "revision": 1,
            "firstName": "text",
            "lastName": "text",
            "email": "text"
          }
        }
      ],
      "certificates": [
        {
          "id": "text",
          "name": "text",
          "revision": 1
        }
      ],
      "defaultMarkupSource": "Unknown"
    },
    "status": "Active",
    "subscription": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "active": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "terminated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "terminating": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updating": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "expired": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "renewed": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "startDate": "2026-01-01T00:00:00.000Z",
      "terminationDate": "2026-01-01T00:00:00.000Z",
      "externalIds": {
        "client": "text",
        "operations": "text",
        "vendor": "text"
      },
      "terms": {
        "model": "one-time",
        "period": "1m",
        "commitment": "1m"
      },
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      },
      "autoRenew": true,
      "status": "Active",
      "commitmentDate": "2026-01-01T00:00:00.000Z",
      "price": {
        "currency": "text",
        "markup": 1,
        "margin": 1,
        "defaultMarkupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "markupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "SPxY": 1,
        "SPxM": 1,
        "PPxY": 1,
        "PPxM": 1,
        "defaultMarkup": 1,
        "defaultMargin": 1
      },
      "parameters": {
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "agreement": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "status": "New"
      },
      "buyer": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "licensee": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "seller": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "split": {
        "id": "text",
        "revision": 1
      },
      "splitStatus": "Disabled",
      "lines": [
        "[Circular Reference]"
      ],
      "template": {
        "id": "text",
        "name": "text",
        "revision": 1
      }
    },
    "asset": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "draft": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "active": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "terminated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "externalIds": {
        "client": "text",
        "operations": "text",
        "vendor": "text"
      },
      "status": "New",
      "price": {
        "currency": "text",
        "markup": 1,
        "margin": 1,
        "defaultMarkupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "markupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "PPx1": 1,
        "SPx1": 1,
        "defaultMarkup": 1,
        "defaultMargin": 1
      },
      "template": {
        "id": "text",
        "name": "text",
        "revision": 1
      },
      "parameters": {
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "terms": {
        "model": "one-time",
        "period": "1m",
        "commitment": "1m"
      },
      "agreement": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "status": "New"
      },
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      },
      "priceList": {
        "id": "text",
        "revision": 1,
        "currency": "text"
      },
      "listing": {
        "id": "text",
        "revision": 1,
        "name": "text"
      },
      "licensee": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "lines": [
        "[Circular Reference]"
      ]
    },
    "agreement": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "active": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "provisioning": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "terminated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "status": "New",
      "listing": {
        "id": "text",
        "revision": 1,
        "name": "text"
      },
      "authorization": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "currency": "text"
      },
      "vendor": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "client": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "price": {
        "currency": "text",
        "markup": 1,
        "margin": 1,
        "defaultMarkupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "markupSource": {
          "type": "text",
          "ref": {
            "id": "text",
            "name": "text"
          }
        },
        "SPxY": 1,
        "SPxM": 1,
        "PPxY": 1,
        "PPxM": 1,
        "defaultMarkup": 1,
        "defaultMargin": 1,
        "billingCurrency": "text",
        "source": "text"
      },
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "template": {
        "id": "text",
        "name": "text",
        "revision": 1
      },
      "error": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "lines": [
        "[Circular Reference]"
      ],
      "assets": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "status": "New"
        }
      ],
      "subscriptions": [
        {
          "id": "text",
          "name": "text",
          "revision": 1
        }
      ],
      "parameters": {
        "ordering": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ],
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "SingleLineText",
            "phase": "Configuration",
            "scope": "Agreement",
            "multiple": true,
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "required": true,
              "hidden": true,
              "readonly": true,
              "capacity": {
                "min": 1,
                "max": 1
              }
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "licensee": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "buyer": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "seller": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalId": "text"
      },
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      },
      "externalIds": {
        "client": "text",
        "operations": "text",
        "vendor": "text"
      },
      "split": {
        "id": "text",
        "revision": 1
      },
      "termsAndConditions": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "accepted": "2026-01-01T00:00:00.000Z",
          "acceptedBy": {
            "id": "text",
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "icon": "text",
            "revision": 1,
            "firstName": "text",
            "lastName": "text",
            "email": "text"
          }
        }
      ],
      "certificates": [
        {
          "id": "text",
          "name": "text",
          "revision": 1
        }
      ]
    },
    "client": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "vendor": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "buyer": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    },
    "seller": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalId": "text",
      "status": "Active",
      "currencies": [
        {
          "value": "text",
          "billingEnabled": true,
          "isDefault": true
        }
      ],
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "erpLink": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "companyName": "text",
        "status": "Active"
      },
      "attributes": {
        "navision": null
      }
    },
    "product": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "published": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "pending": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unpublished": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "shortDescription": "text",
      "longDescription": "text",
      "externalIds": {
        "operations": "text",
        "defaultErpItem": "text"
      },
      "website": "text",
      "status": "text",
      "vendor": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "settings": {
        "productOrdering": true,
        "productRequests": {
          "enabled": true,
          "name": "text",
          "label": "text"
        },
        "itemSelection": true,
        "orderQueueChanges": true,
        "preValidation": {
          "purchaseOrderDraft": true,
          "purchaseOrderQuerying": true,
          "changeOrderDraft": true,
          "configurationOrderDraft": true,
          "terminationOrder": true
        },
        "splitBilling": {
          "enabled": true,
          "type": "text"
        },
        "sendCostToErp": true,
        "subscriptionCessation": {
          "enabled": true,
          "mode": "Termination"
        }
      },
      "statistics": {
        "itemCount": 1,
        "ordersPlacedCount": 1,
        "agreementCount": 1,
        "subscriptionCount": 1
      }
    },
    "description": "text",
    "info": {
      "visible": true,
      "description": "text"
    }
  },
  "order": {
    "id": "text",
    "revision": 1
  },
  "asset": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "status": "New"
  },
  "item": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "externalIds": {
      "vendor": "text",
      "operations": "text"
    }
  },
  "authorization": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "currency": "text"
  },
  "statement": {
    "revision": 1,
    "id": "SOM-1234-1234-1234-1234-1234"
  },
  "statementType": "Debit",
  "processing": {
    "status": "Ready",
    "errors": [
      "Invalid charge amount",
      "Missing buyer information"
    ]
  },
  "erpData": {
    "erpCountryCode": "US",
    "defaultErpProductId": "PROD-12345",
    "defaultErpProductName": "Standard Product",
    "cdg": "CDG-001",
    "scu": "SCU-123",
    "cco": "CCO-456",
    "erpItemId": "ITEM-789"
  },
  "buyer": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "seller": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "split": {
    "percentage": 50
  },
  "reconciliation": {
    "type": "Match",
    "source": "Unknown",
    "reason": "text",
    "original": {
      "subscription": {
        "id": "text",
        "name": "text",
        "revision": 1
      },
      "agreement": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "status": "New"
      },
      "line": "[Circular Reference]",
      "order": {
        "id": "text",
        "revision": 1
      }
    }
  }
}

Last updated

Was this helpful?